DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery - Button Predefined Types

The JavaScript Button component supports several predefined color schemes. To apply a scheme, set the type property to one of the following values:

  • "normal"
  • "success"
  • "default"
  • "danger"

To further customize the JavaScript Button, use the stylingMode property. This property affects the fill and borders, and accepts the following values:

  • "contained"
  • "outlined"
  • "text"

To get started with the DevExtreme JavaScript Button component, refer to the following tutorial for step-by-step instructions: Getting Started with JavaScript Button.

Backend API
$(() => { $('#normal-contained').dxButton({ stylingMode: 'contained', text: 'Contained', type: 'normal', width: 120, onClick() { DevExpress.ui.notify('The Contained button was clicked'); }, }); $('#normal-outlined').dxButton({ stylingMode: 'outlined', text: 'Outlined', type: 'normal', width: 120, onClick() { DevExpress.ui.notify('The Outlined button was clicked'); }, }); $('#normal-text').dxButton({ stylingMode: 'text', text: 'Text', type: 'normal', width: 120, onClick() { DevExpress.ui.notify('The Text button was clicked'); }, }); $('#success-contained').dxButton({ stylingMode: 'contained', text: 'Contained', type: 'success', width: 120, onClick() { DevExpress.ui.notify('The Contained button was clicked'); }, }); $('#success-outlined').dxButton({ stylingMode: 'outlined', text: 'Outlined', type: 'success', width: 120, onClick() { DevExpress.ui.notify('The Outlined button was clicked'); }, }); $('#success-text').dxButton({ stylingMode: 'text', text: 'Text', type: 'success', width: 120, onClick() { DevExpress.ui.notify('The Text button was clicked'); }, }); $('#default-contained').dxButton({ stylingMode: 'contained', text: 'Contained', type: 'default', width: 120, onClick() { DevExpress.ui.notify('The Contained button was clicked'); }, }); $('#default-outlined').dxButton({ stylingMode: 'outlined', text: 'Outlined', type: 'default', width: 120, onClick() { DevExpress.ui.notify('The Outlined button was clicked'); }, }); $('#default-text').dxButton({ stylingMode: 'text', text: 'Text', type: 'default', width: 120, onClick() { DevExpress.ui.notify('The Text button was clicked'); }, }); $('#danger-contained').dxButton({ stylingMode: 'contained', text: 'Contained', type: 'danger', width: 120, onClick() { DevExpress.ui.notify('The Contained button was clicked'); }, }); $('#danger-outlined').dxButton({ stylingMode: 'outlined', text: 'Outlined', type: 'danger', width: 120, onClick() { DevExpress.ui.notify('The Outlined button was clicked'); }, }); $('#danger-text').dxButton({ stylingMode: 'text', text: 'Text', type: 'danger', width: 120, onClick() { DevExpress.ui.notify('The Text button was clicked'); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="js/dx.all.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="buttons-demo"> <div class="buttons"> <div> <div class="buttons-column"> <div class="column-header"> Normal </div> <div> <div id="normal-contained"></div> </div> <div> <div id="normal-outlined"></div> </div> <div> <div id="normal-text"></div> </div> </div> <div class="buttons-column"> <div class="column-header"> Success </div> <div> <div id="success-contained"></div> </div> <div> <div id="success-outlined"></div> </div> <div> <div id="success-text"></div> </div> </div> </div> <div> <div class="buttons-column"> <div class="column-header"> Default </div> <div> <div id="default-contained"></div> </div> <div> <div id="default-outlined"></div> </div> <div> <div id="default-text"></div> </div> </div> <div class="buttons-column"> <div class="column-header"> Danger </div> <div> <div id="danger-contained"></div> </div> <div> <div id="danger-outlined"></div> </div> <div> <div id="danger-text"></div> </div> </div> </div> </div> </div> </div> </body> </html>
.demo-container { display: flex; justify-content: center; height: 450px; } .buttons-demo { width: 600px; align-self: center; } .buttons-column > .column-header { flex-grow: 0; width: 150px; height: 35px; font-size: 130%; opacity: 0.6; text-align: left; padding-left: 15px; } .buttons { display: flex; flex-wrap: wrap; justify-content: center; } .buttons > div { width: 300px; flex-wrap: nowrap; display: flex; } .buttons-column > div { width: 150px; height: 50px; text-align: center; } .buttons-column { width: 150px; justify-content: center; }

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Predefined Types

The Button component supports several predefined color schemes. To apply a scheme, set the type property to one of the following values:

  • "normal"
  • "success"
  • "default"
  • "danger"

To further customize the Button, use the stylingMode property. This property affects the fill and borders, and accepts the following values:

  • "contained"
  • "outlined"
  • "text"

To get started with the DevExtreme Button component, refer to the following tutorial for step-by-step instructions: Getting Started with Button.

Backend API
import React from 'react'; import { Button, ButtonTypes } from 'devextreme-react/button'; import notify from 'devextreme/ui/notify'; const onClick = (e: ButtonTypes.ClickEvent) => { const buttonText = e.component.option('text'); notify(`The ${capitalize(buttonText)} button was clicked`); }; function capitalize(text: string) { return text.charAt(0).toUpperCase() + text.slice(1); } export default function App() { return ( <div className="buttons-demo"> <div className="buttons"> <div> <div className="buttons-column"> <div className="column-header"> Normal </div> <div> <Button width={120} text="Contained" type="normal" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="normal" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="normal" stylingMode="text" onClick={onClick} /> </div> </div> <div className="buttons-column"> <div className="column-header"> Success </div> <div> <Button width={120} text="Contained" type="success" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="success" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="success" stylingMode="text" onClick={onClick} /> </div> </div> </div> <div> <div className="buttons-column"> <div className="column-header"> Default </div> <div> <Button width={120} text="Contained" type="default" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="default" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="default" stylingMode="text" onClick={onClick} /> </div> </div> <div className="buttons-column"> <div className="column-header"> Danger </div> <div> <Button width={120} text="Contained" type="danger" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="danger" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="danger" stylingMode="text" onClick={onClick} /> </div> </div> </div> </div> </div> ); }
import React from 'react'; import { Button } from 'devextreme-react/button'; import notify from 'devextreme/ui/notify'; const onClick = (e) => { const buttonText = e.component.option('text'); notify(`The ${capitalize(buttonText)} button was clicked`); }; function capitalize(text) { return text.charAt(0).toUpperCase() + text.slice(1); } export default function App() { return ( <div className="buttons-demo"> <div className="buttons"> <div> <div className="buttons-column"> <div className="column-header">Normal</div> <div> <Button width={120} text="Contained" type="normal" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="normal" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="normal" stylingMode="text" onClick={onClick} /> </div> </div> <div className="buttons-column"> <div className="column-header">Success</div> <div> <Button width={120} text="Contained" type="success" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="success" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="success" stylingMode="text" onClick={onClick} /> </div> </div> </div> <div> <div className="buttons-column"> <div className="column-header">Default</div> <div> <Button width={120} text="Contained" type="default" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="default" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="default" stylingMode="text" onClick={onClick} /> </div> </div> <div className="buttons-column"> <div className="column-header">Danger</div> <div> <Button width={120} text="Contained" type="danger" stylingMode="contained" onClick={onClick} /> </div> <div> <Button width={120} text="Outlined" type="danger" stylingMode="outlined" onClick={onClick} /> </div> <div> <Button width={120} text="Text" type="danger" stylingMode="text" onClick={onClick} /> </div> </div> </div> </div> </div> ); }
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.tsx'; ReactDOM.render( <App />, document.getElementById('app'), );
window.exports = window.exports || {}; window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, jsx: 'react', }, meta: { 'react': { 'esModule': true, }, 'typescript': { 'exports': 'ts', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-react': 'npm:devextreme-react@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/localization/messages': { format: 'json', defaultExtension: '', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render(<App />, document.getElementById('app'));
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.tsx"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
.demo-container { display: flex; justify-content: center; height: 450px; } #app { align-self: center; } .buttons-demo { width: 600px; align-self: center; } .buttons-column > .column-header { flex-grow: 0; width: 150px; height: 35px; font-size: 130%; opacity: 0.6; text-align: left; padding-left: 15px; } .buttons { display: flex; flex-wrap: wrap; justify-content: center; } .buttons > div { width: 300px; flex-wrap: nowrap; display: flex; } .buttons-column > div { width: 150px; height: 50px; text-align: center; } .buttons-column { width: 150px; justify-content: center; }

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Predefined Types

The JavaScript Button component supports several predefined color schemes. To apply a scheme, set the type property to one of the following values:

  • "normal"
  • "success"
  • "default"
  • "danger"

To further customize the JavaScript Button, use the stylingMode property. This property affects the fill and borders, and accepts the following values:

  • "contained"
  • "outlined"
  • "text"

To get started with the DevExtreme JavaScript Button component, refer to the following tutorial for step-by-step instructions: Getting Started with JavaScript Button.

Backend API
<template> <div class="buttons-demo"> <div class="buttons"> <div> <div class="buttons-column"> <div class="column-header"> Normal </div> <div> <DxButton :width="120" text="Contained" type="normal" styling-mode="contained" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Outlined" type="normal" styling-mode="outlined" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Text" type="normal" styling-mode="text" @click="onClick($event)" /> </div> </div> <div class="buttons-column"> <div class="column-header"> Success </div> <div> <DxButton :width="120" text="Contained" type="success" styling-mode="contained" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Outlined" type="success" styling-mode="outlined" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Text" type="success" styling-mode="text" @click="onClick($event)" /> </div> </div> </div> <div> <div class="buttons-column"> <div class="column-header"> Default </div> <div> <DxButton :width="120" text="Contained" type="default" styling-mode="contained" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Outlined" type="default" styling-mode="outlined" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Text" type="default" styling-mode="text" @click="onClick($event)" /> </div> </div> <div class="buttons-column"> <div class="column-header"> Danger </div> <div> <DxButton :width="120" text="Contained" type="danger" styling-mode="contained" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Outlined" type="danger" styling-mode="outlined" @click="onClick($event)" /> </div> <div> <DxButton :width="120" text="Text" type="danger" styling-mode="text" @click="onClick($event)" /> </div> </div> </div> </div> </div> </template> <script setup lang="ts"> import DxButton, { DxButtonTypes } from 'devextreme-vue/button'; import notify from 'devextreme/ui/notify'; const capitalize = (text) => text.charAt(0).toUpperCase() + text.slice(1); function onClick(e: DxButtonTypes.ClickEvent) { const buttonText = e.component.option('text'); notify(`The ${capitalize(buttonText)} button was clicked`); } </script> <style scoped> #app { align-self: center; } .demo-container { display: flex; justify-content: center; height: 450px; } .buttons-demo { width: 600px; align-self: center; } .buttons-column > .column-header { flex-grow: 0; width: 150px; height: 35px; font-size: 130%; opacity: 0.6; text-align: left; padding-left: 15px; } .buttons { display: flex; flex-wrap: wrap; justify-content: center; } .buttons > div { width: 300px; flex-wrap: nowrap; display: flex; } .buttons-column > div { width: 150px; height: 50px; text-align: center; } .buttons-column { width: 150px; justify-content: center; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Predefined Types

The Button component supports several predefined color schemes. To apply a scheme, set the type property to one of the following values:

  • "normal"
  • "success"
  • "default"
  • "danger"

To further customize the Button, use the stylingMode property. This property affects the fill and borders, and accepts the following values:

  • "contained"
  • "outlined"
  • "text"

To get started with the DevExtreme Button component, refer to the following tutorial for step-by-step instructions: Getting Started with Button.

Backend API
<div class="buttons-demo"> <div class="buttons"> <div> <div class="buttons-column"> <div class="column-header"> Normal </div> <div> <dx-button stylingMode="contained" text="Contained" type="normal" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="outlined" text="Outlined" type="normal" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="text" text="Text" type="normal" [width]="120" (onClick)="click($event)" > </dx-button> </div> </div> <div class="buttons-column"> <div class="column-header"> Success </div> <div> <dx-button stylingMode="contained" text="Contained" type="success" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="outlined" text="Outlined" type="success" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="text" text="Text" type="success" [width]="120" (onClick)="click($event)" > </dx-button> </div> </div> </div> <div> <div class="buttons-column"> <div class="column-header"> Default </div> <div> <dx-button stylingMode="contained" text="Contained" type="default" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="outlined" text="Outlined" type="default" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="text" text="Text" type="default" [width]="120" (onClick)="click($event)" > </dx-button> </div> </div> <div class="buttons-column"> <div class="column-header"> Danger </div> <div> <dx-button stylingMode="contained" text="Contained" type="danger" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="outlined" text="Outlined" type="danger" [width]="120" (onClick)="click($event)" > </dx-button> </div> <div> <dx-button stylingMode="text" text="Text" type="danger" [width]="120" (onClick)="click($event)" > </dx-button> </div> </div> </div> </div> </div>
import { Component, NgModule, enableProdMode } from '@angular/core'; import { BrowserModule, BrowserTransferStateModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { DxButtonModule } from 'devextreme-angular'; import notify from 'devextreme/ui/notify'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } declare var __moduleName: string; @Component({ selector: 'demo-app', templateUrl: 'app.component.html', styleUrls: ['app.component.css'], moduleId: __moduleName, }) export class AppComponent { capitalize = (text) => text.charAt(0).toUpperCase() + text.slice(1); click = (e) => { const buttonText = e.component.option('text'); notify(`The ${this.capitalize(buttonText)} button was clicked`); }; constructor() { } } @NgModule({ imports: [ BrowserModule, BrowserTransferStateModule, DxButtonModule, ], declarations: [AppComponent], bootstrap: [AppComponent], }) export class AppModule { } platformBrowserDynamic().bootstrapModule(AppModule);
:host { display: flex; justify-content: center; height: 100%; } ::ng-deep .demo-container { height: 450px; } ::ng-deep .buttons-demo { width: 600px; align-self: center; } ::ng-deep .buttons-column > .column-header { flex-grow: 0; width: 150px; height: 35px; font-size: 130%; opacity: 0.6; text-align: left; padding-left: 15px; } ::ng-deep .buttons { display: flex; flex-wrap: wrap; justify-content: center; } ::ng-deep .buttons > div { width: 300px; flex-wrap: nowrap; display: flex; } ::ng-deep .buttons-column > div { width: 150px; height: 50px; text-align: center; } ::ng-deep .buttons-column { width: 150px; justify-content: center; }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ window.exports = window.exports || {}; window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, }, meta: { 'typescript': { 'exports': 'ts', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', '@angular/core': 'npm:@angular/core@12.2.17', '@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17', '@angular/forms': 'npm:@angular/forms@12.2.17', '@angular/common': 'npm:@angular/common@12.2.17', '@angular/compiler': 'npm:@angular/compiler@12.2.17', 'tslib': 'npm:tslib@2.6.2/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme/bundles/dx.all': 'npm:devextreme@23.2.6/bundles/dx.all.js', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54', 'devextreme-angular': 'npm:devextreme-angular@23.2.6', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', 'npm:@angular/*/package.json', 'npm:@angular/common@12.2.17/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devextreme-angular@23.2.6/*/package.json', 'npm:devextreme-angular@23.2.6/ui/*/package.json', 'npm:devextreme-angular@23.2.6/package.json', 'npm:devexpress-diagram@2.2.5/package.json', 'npm:devexpress-gantt@4.1.54/package.json', ], }; System.config(window.config);
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script> <script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>